## org.eclipse.jst.jsf.core.jsfappconfig
Class ImplicitRuntimeJSFAppConfigLocater

    java.lang.Object
      org.eclipse.jst.jsf.core.jsfappconfig.AbstractJSFAppConfigLocater
          org.eclipse.jst.jsf.core.jsfappconfig.ImplicitRuntimeJSFAppConfigLocater

All Implemented Interfaces:
  IJSFAppConfigLocater

    public class ImplicitRuntimeJSFAppConfigLocater

extends AbstractJSFAppConfigLocater

ImplicitRuntimeJSFAppConfigLocater creates an `IJSFAppConfigProvider` instance that provides an application configuration model that contains implicit configuration elements that are specified as required to be provided by a JSF implementation.

Provisional API - subject to change

Constructor Summary
`ImplicitRuntimeJSFAppConfigLocater()`

Method Summary
`void` `locateProviders()` Adds an `IJSFAppConfigProvider` instance that provides an application configuration model that contains implicit configuration objects provided by a JSF implementation at runtime.
`void` `startLocating()` Starts locating JSF application configuration resources.
`void` `stopLocating()` Stops locating JSF application configuration resources.

Methods inherited from class org.eclipse.jst.jsf.core.jsfappconfig.AbstractJSFAppConfigLocater
`dispose, getJSFAppConfigManager, getJSFAppConfigProviders, setJSFAppConfigManager`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ImplicitRuntimeJSFAppConfigLocater

    public ImplicitRuntimeJSFAppConfigLocater()

Method Detail

### startLocating

    public void startLocating()

  Description copied from interface: `IJSFAppConfigLocater`
  Starts locating JSF application configuration resources.

  Specified by:
    `startLocating` in interface `IJSFAppConfigLocater`
  Specified by:
    `startLocating` in class `AbstractJSFAppConfigLocater`

### stopLocating

    public void stopLocating()

  Description copied from interface: `IJSFAppConfigLocater`
  Stops locating JSF application configuration resources.

  Specified by:
    `stopLocating` in interface `IJSFAppConfigLocater`
  Specified by:
    `stopLocating` in class `AbstractJSFAppConfigLocater`

### locateProviders

    public void locateProviders()

  Adds an `IJSFAppConfigProvider` instance that provides an application configuration model that contains implicit configuration objects provided by a JSF implementation at runtime.